SYSREPO-PLUGIND(8)

NAME
sysrepo-plugind - sysrepo plugin daemon

SYNOPSIS
sysrepo-plugind [-h] [-v LEVEL] [-d]

DESCRIPTION
sysrepo-plugind is a simple daemon tool for loading sysrepo plugins. These are provided with a connection and session and all running in a single process.

OPTIONS

-h, --help
    Prints usage help.

-V, --version
    Prints only information about sysrepo version.

-v, --verbosity LEVEL
    Change verbosity to a level. LEVEL can be a string or a number:
     • none/0
     • error/1 (default)
     • warning/2
     • info/3
     • debug/4

-d, --debug
    Debug mode - is not daemonized and logs to stderr instead of syslog.

-P, --plugin-install PATH
    Install a sysrepo-plugind plugin. The plugin is simply copied to the designated plugin directory.

Environment variable $SRPD_PLUGINS_PATH overwrites the default plugins directory.

SEE ALSO
https://www.sysrepo.org (sysrepo home page)

https://github.com/sysrepo/sysrepo (sysrepo Git repository)

AUTHORS
Michal Vasko <mvasko@cesnet.cz>

COPYRIGHT
Copyright © 2018-2022 CESNET, a.l.e.

Copyright © 2018-2022 Deutsche Telekom AG.